LibreOffice: PopupMenuController Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
PopupMenuController Service Reference

provides access to a pop-up menu controller. More...

`import <PopupMenuController.idl;`

Inheritance diagram for PopupMenuController:

## Exported Interfaces
interface | com::sun::star::frame::XPopupMenuController
| supports functions to initialize and update a pop-up menu controller implementation.
interface | com::sun::star::lang::XInitialization
| provides functions to initialize a pop-up menu controller with specific data which are needed.
interface | com::sun::star::frame::XStatusListener
| used to brief the pop-up menu controller with new status information.
interface | com::sun::star::frame::XDispatchProvider
| used to query for commands supported by the pop-up menu controller to execute them directly.
interface | com::sun::star::lang::XComponent
| used to dispose pop-up menu controller by the owner instance.

## Additional Inherited Members
Public Member Functions inherited from XPopupMenuController
void | setPopupMenu ([in] com::sun::star::awt::XPopupMenu PopupMenu)
| provides a com::sun::star::awt::XPopupMenu to a pop-up menu controller implementation.
void | updatePopupMenu ()
| briefs the pop-up menu controller to update the contents of the provided pop-up menu to reflect the current state.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XStatusListener
void | statusChanged ([in] FeatureStateEvent State)
| is called when the status of the feature changes.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Protected Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

provides access to a pop-up menu controller.

A pop-up menu controller is used to make special functions available to users, which depend on runtime or context specific conditions.
A typical example for a pop-up menu controller can be a recent file list implementation which provides a list of latest files that a user has worked on. This list gets changes consistently during a work session.

Since
  OOo 2.0

## Exported Interfaces

## ◆ com::sun::star::frame::XDispatchProvider

interface com::sun::star::frame::XDispatchProvider
| optional

used to query for commands supported by the pop-up menu controller to execute them directly.

A pop-up menu controller provides special functions which should be available by the normal dispatch API. This optional interface enables pop-up menu controller to be normal dispatch providers.
Attention:
Po-pup menu controller functions must be specified using the following the dispatch URL scheme: "vnd.sun.star.popup:" opaque_part [ "?" query ].

Since
  OOo 2.2

## ◆ com::sun::star::frame::XPopupMenuController

interface com::sun::star::frame::XPopupMenuController

supports functions to initialize and update a pop-up menu controller implementation.

A pop-up menu controller implementation gets initialized with a com::sun::star::awt::XPopupMenu object. This assures that a pop-up menu controller can be implemented with any UNO based language.

## ◆ com::sun::star::frame::XStatusListener

interface com::sun::star::frame::XStatusListener

used to brief the pop-up menu controller with new status information.

A pop-up menu controller makes special functions available to users which normally depend on the state of other data. This interface is used to send this data to a controller implementation.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent
| optional

used to dispose pop-up menu controller by the owner instance.

A pop-up menu controller resides in a menu which has a limited life-time. For correct life-time handling a pop-up menu controller should support this interface.

Since
  OOo 2.2

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

provides functions to initialize a pop-up menu controller with specific data which are needed.

This interface should not directly used. A factory service is responsible to initialize every controller correctly.

A pop-up menu controller needs at least two additional arguments provided as com::sun::star::beans::PropertyValue:

- Frame
  specifies the com::sun::star::frame::XFrame instance to which the pop-up menu controller belongs to.
- CommandURL
  specifies which pop-up menu controller should be created.

See also
  PopupMenuControllerFactory

The documentation for this service was generated from the following file:

- com/sun/star/frame/PopupMenuController.idl